Subject: Re: [manet] AD review of draft-ietf-manet-olsrv2-metrics-rationale

From: Abdussalam Baryun <[email-masked]>
Date: Sat, 23 Feb 2013 12:44:25 +0100

Hi Adrian,

As the draft now updates the main point of your review, I would like
to comment/discuss on other last points of the below review (I deleted
the main points), but just my thoughts,

On 12/15/12, Adrian Farrel <[email-masked]> wrote:
> Hi,
>
> I have done my usual AD review of your draft prior to issuing IETF
> last call. The purpose of the review is to clear up any issues that
> might arise during last call or IESG evaluation to save other reviewers
> time, and to smooth the passage of the draft in those stages.
>
> This document looks in pretty good shape to me. As a calibration, I
> noted a number of questions as I went along, only to find you answered
> them about half a page later. Thanks for all the work you must have put
> in.
>
> I have a number of comments, but only the first two really need
> attention. The others would be "nice to have".
>
> If you can respin the document addressing these comments, I will issue
> last call. As usual, all my comments are open for discussion.
>
> Thanks,
> Adrian
>
> ---
>
> There is a mismatched double quote at symmetric link in the middle
> paragraph.
>

Did not understand this point, but hope that it was updated,

> ---
>
> I wonder whether you want to make any comments about node metrics.
> Obviously, you don't have them (neighbor metrics being a different
> thing), but you could comment on why you don't have them (if this was
> ever discussed).
>
> The question is slightly touched on in 5.2 in discussion of "delay".

I may agree that it will be valuable to add text to explain metric
type of delay, but the draft stated that no relation with the metric
and the physical real information, so I may understand that there is
no rationale in OLSRv2 for this issue. If there is a rationale then it
should be in scope (in introduction states that it is out of scope).

>
> ---
>
> Section 8
>
> Were there any security considerations that cropped up while designing
> metric support in OSLRv2? If so, here would be the place to mention
> them.

I agree, otherwise it can be mentioned/stated that there was no
rationale of security on the link metric for OLSRv2. Reading OLSRv2-16
there is *signature using TLV* that may be related.

Section 8 rationale seems not complete IMO,
AB>Amend> This document does not specify any security considerations,
because there is no rationale of security consideration on OLSRv2 link
metric design.

Regards
AB